PHP-инклюдинг в Madirish Webmail

Дата публикации:
04.06.2007
Дата изменения:
24.03.2009
Всего просмотров:
1409
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2007-2826
CVE-2007-3058
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Madirish Webmail 2.x
Уязвимые версии: Madirish Webmail 2.0, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "basedir" в различных сценариях. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP. Пример:

http://[host]/lib/addressbook.php?basedir=[file]
http://[host]/calendar.php?basedir=[file]
http://[host]/compose.php?basedir=[file]
http://[host]/index.php?basedir=[file]

URL производителя: sourceforge.net/projects/madirishwebmail/

Решение: Установите последнюю версию с сайта производителя.

Журнал изменений:
24.03.2009
Изменена секция "Решение"

или введите имя

CAPTCHA